function [yC,xC] = pro_uhel(yA,xA,yB,xB,wA,wB)
%protnn vpred z uhlu
%[yC,xC] = pro_uhel(yA,xA,yB,xB,wA,wB)
%
%   !!! hly zadat v RADIANECH !!!
%

Dy = yA - yB;
Dx = xA - xB;

a = 1/tan(wA);
b = 1/tan(wB);

J = a + b;

yC = ( Dx + b*Dy + J*yB)/J;
xC = (-Dy + b*Dx + J*xB)/J;