function tab = transformace2Dpod(yAc,xAc,yBc,xBc,yAp,xAp,yBp,xBp,yip,xip)
%podobnostn transformace v rovine
%tab = transformace2Dpod(yAc,xAc,yBc,xBc,yAp,xAp,yBp,xBp,yip,xip)
%
%p ... puvodni SS
%c ... clov SS
%
%ID = yAc,xAc,yBc,xBc,yAp,xAp,yBp,xBp
%transformovan = yip,xip
%tab = Mat s pretransformobanymi body (y,x)

Dyp = yBp - yAp;
Dxp = xBp - xAp;

Dyc = yBc - yAc;
Dxc = xBc - xAc;


a = (Dyc*Dxp - Dxc*Dyp) / (Dyp^2 + Dxp^2);
b = (Dyc*Dyp + Dxc*Dxp) / (Dyp^2 + Dxp^2);

m = max(size(yip));

tab = [];

for i=1:m
    Dy = yip(i) - yAp;
    Dx = xip(i) - xAp;
    
    y = yAc + a*Dx + b*Dy;
    x = xAc + b*Dx - a*Dy;
    
    tab(end+1,1) = y;
    tab(end,2) = x;
end

