%VG11 uloha 4.4 (Smerov korekce v krovakove zobrazen)
%RSC (rsc@email.cz)

clear %vymazani pameti
clc %smazani obrazovky

fid = fopen('4.4.txt','w'); %vytvoreni *.txt souboru pro vystup

ro = 180/pi;
rov = (180*60*60)/pi;

fprintf(fid,'VG11 - uloha 4.4\n');
fprintf(fid,'----------------\n\n');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%vstupn hodnoty
 y1 = 17660.65;
 s = 22349.416;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf(fid,'Zadan hodnoty\n');
fprintf(fid,'------------------------------\n');
fprintf(fid,' y1 = %12.3f m\n',y1);
fprintf(fid,'s12 = %12.3f m\n',s);

fprintf(fid,'------------------------------\n\n');


fprintf(fid,'Vypocten hodnoty\n');
fprintf(fid,'------------------------------\n');



R = 6380000;

fprintf(fid,'A []        y2 [m]        d12 ['''']        d21 ['''']\n');
fprintf(fid,'-------------------------------------------------------\n');


x = [];
d1 = [];
d2 = [];

for i=0:20:360
    A = i;
    y2 = y1 + s * sin(A/ro);
    
    d12 = (1/6*(2*(1-y1^2/2/R^2)*y1/R^2+(1-y2^2/2/R^2)*y2/R^2)*s*(-cos(A/ro)))*rov;
    d21 = (1/6*(2*(1-y2^2/2/R^2)*y2/R^2+(1-y1^2/2/R^2)*y1/R^2)*s*(-cos(A/ro+pi)))/pi*180*3600;
    
    fprintf(fid,'  %3.0f \t %10.3f  \t  %+6.3f   \t   %+6.3f\n',i,y2,d12,d21);
    
    x(end+1,1) = A;
    d1(end+1,1) = d12;
    d2(end+1,1) = d21;
end


hold on;
plot(x,d1)
plot(x,d2,'r')
plot([0,360],[0,0],'g')
print -dpng 4.4.png; %automaticky export do *.png

fclose(fid);

fprintf('\n\nCiselne vysledky jsou ulozeny v souboru "4.4.txt"\n v pracovnim adresari, graf jako obrazek "4.4.png"\n (hladkost grafu se d zjemnit nastavenm mensho kroku ne for cyklu na rdku 44)');